perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randy Kobes <ra...@theoryx5.uwinnipeg.ca>
Subject Re: Fedora Core 6, SOAP::Lite and mod_perl -- does this work?
Date Wed, 06 Dec 2006 18:49:12 GMT
On Wed, 6 Dec 2006, Tom Cross wrote:
[ ... ]
> I removed the Redhat/Fedora built mod_perl and Apache.  Installed from
> source for each package with the latest and greatest of both.
>
> Did the "make test" for mod_perl and everything passed.
>
> I still get this error:
>
> [Wed Dec 06 08:02:35 2006] [notice] Apache/2.2.3 (Unix) mod_perl/2.0.3
> Perl/v5.8.8 configured -- resuming normal operations
> [Wed Dec 06 08:02:48 2006] [error] [client 204.107.148.116] Can't locate
> object method "dir_config" via package "Apache2::RequestRec"
> at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 653.\n
>
> Any ideas?  Is this a bug in mod_perl/Apache?  Am I doing something
> Stupid?

Is this using the latest SOAP-Lite package?

There's also an Apache2-SOAP package on CPAN which
might be worth trying. This shouldn't be needed if
you're using the latest SOAP-Lite (0.69), which
should have mod_perl-2 support, but it might be worth
trying this, as if it works, perhaps comparing this
to SOAP-Lite might reveal the source of the problem.
Note that Apache2-SOAP and SOAP-Lite can coexist.

-- 
best regards,
Randy Kobes

Mime
View raw message